Bug 1663935 - syslog-ng: Use-after free in affile_dw_reap resulting in a denial of service
Summary: syslog-ng: Use-after free in affile_dw_reap resulting in a denial of service
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1663936 1663937
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-07 10:29 UTC by Andrej Nemec
Modified: 2019-09-29 15:04 UTC (History)
4 users (show)

Fixed In Version: syslog-ng 3.19.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:44:46 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2019-01-07 10:29:29 UTC
A use after free vulnerability was found in syslog-ng before 3.19.1. A crafted file could cause the application to crash.

Upstream issues:

https://github.com/balabit/syslog-ng/pull/2418
https://github.com/balabit/syslog-ng/issues/2454

References:

https://seclists.org/oss-sec/2018/q4/273

Comment 1 Andrej Nemec 2019-01-07 10:29:40 UTC
Created syslog-ng tracking bugs for this issue:

Affects: epel-all [bug 1663937]
Affects: fedora-all [bug 1663936]

Comment 2 Product Security DevOps Team 2019-06-10 10:44:46 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.